Index: azure_iot_hub/trunk/ntshell/echonet/echonet.trb
===================================================================
--- azure_iot_hub/trunk/ntshell/echonet/echonet.trb	(revision 388)
+++ azure_iot_hub/trunk/ntshell/echonet/echonet.trb	(revision 389)
@@ -5,47 +5,32 @@
 #  Copyright (C) 2014-2017 Cores Co., Ltd. Japan
 # 
-#  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
-#  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
-#  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
-#  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
-#      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
-#      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
-#  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
-#      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
-#      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
-#      ã¨ï¼
-#    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
-#        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
-#        å ±åãããã¨ï¼
-#  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
-#      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
-#      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
-#      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
-#      å
-è²¬ãããã¨ï¼
-# 
-#  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
-#  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
-#  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
-#  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
-#  ã®è²¬ä»»ãè² ããªãï¼
+#  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+#  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+#  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+#  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+#      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+#      スコード中に含まれていること．
+#  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+#      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+#      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+#      の無保証規定を掲載すること．
+#  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+#      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+#      と．
+#    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+#        作権表示，この利用条件および下記の無保証規定を掲載すること．
+#    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+#        報告すること．
+#  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+#      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+#      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+#      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+#      免責すること．
+# 
+#  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+#  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+#  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+#  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+#  の責任を負わない．
 # 
 #  @(#) $Id$
@@ -54,5 +39,5 @@
 
 # =====================================================================
-# echonet_cfg.hã®çæ
+# echonet_cfg.hの生成
 # =====================================================================
 
@@ -66,5 +51,5 @@
 EOS
 
-# ãã¼ããªã¹ãã®ä½æ
+# ノードリストの作成
 $ENOD_LIST = []
 $LOCAL_NODE = []
@@ -72,8 +57,8 @@
 
 $cfgData[:ECN_CRE_EOBJ].sort.each do |key, params|
-	# ãã¼ããã­ãã¡ã¤ã«ãªãã¸ã§ã¯ãã®å ´å
+	# ノードプロファイルオブジェクトの場合
 	if (params[:eobjatr] & $EOBJ_LOCAL_NODE) != 0
 		$LOCAL_NODE << key
-	# æ©å¨ãªãã¸ã§ã¯ãã®å ´å
+	# 機器オブジェクトの場合
 	elsif (params[:eobjatr] & ($EOBJ_SYNC_REMOTE_NODE | $EOBJ_ASYNC_REMOTE_NODE)) != 0
 		$REMOTE_NODE << key
@@ -81,5 +66,5 @@
 end
 
-# ã­ã¼ã«ã«ã®ãã¼ããã­ãã¡ã¤ã«ã¯ï¼ã¤ã ã
+# ローカルのノードプロファイルは１つだけ
 if $LOCAL_NODE.length != 1
 	error_exit("Local node must be only one.")
@@ -100,5 +85,5 @@
 	eprp_list = []
 	prp_map_cnt = 3
-	# ãã¼ããã­ãã¡ã¤ã«ã®å ´å
+	# ノードプロファイルの場合
 	if (params[:eobjatr] & ($EOBJ_LOCAL_NODE | $EOBJ_SYNC_REMOTE_NODE | $EOBJ_ASYNC_REMOTE_NODE)) != 0
 		prp_map_cnt = prp_map_cnt + 5
@@ -114,5 +99,5 @@
 		end
 
-		# ãã¼ããã­ãã¡ã¤ã«ã®å ´å
+		# ノードプロファイルの場合
 		if (params[:eobjatr] & ($EOBJ_LOCAL_NODE | $EOBJ_SYNC_REMOTE_NODE | $EOBJ_ASYNC_REMOTE_NODE)) != 0
 			if (params2[:eprpcd] >= 0xD3) && (params2[:eprpcd] <= 0xD7)
@@ -149,5 +134,5 @@
 
 # =====================================================================
-# echonet_cfg.cã®çæ
+# echonet_cfg.cの生成
 # =====================================================================
 
@@ -161,5 +146,5 @@
 
 # 
-#  ã¤ã³ã¯ã«ã¼ããã£ã¬ã¯ãã£ãï¼#includeï¼
+#  インクルードディレクティブ（#include）
 # 
 $echonetCfgC.add(<<EOS)
@@ -178,5 +163,5 @@
 
 # 
-#  ãªãã¸ã§ã¯ãã®IDçªå·ãä¿æããå¤æ°
+#  オブジェクトのID番号を保持する変数
 # 
 if $USE_EXTERNAL_ID
@@ -191,5 +176,5 @@
 
 # 
-#  ECHONET Liteãã­ããã£
+#  ECHONET Liteプロパティ
 # 
 $echonetCfgC.add(<<EOS)
@@ -201,5 +186,5 @@
 IncludeTrb("echonet_chk.trb")
 
-# ECHONET Liteãã­ããã£åæåãã­ãã¯ã®çæ
+# ECHONET Liteプロパティ初期化ブロックの生成
 if $cfgData[:ECN_CRE_EOBJ].length > 0 && $cfgData[:ECN_DEF_EPRP].length > 0
 	$ENOD_LIST.each do |enodid|
@@ -225,5 +210,5 @@
 
 		$echonetCfgC.add("/*")
-		$echonetCfgC.add(" * ã¤ã³ã¹ã¿ã³ã¹æ°")
+		$echonetCfgC.add(" * インスタンス数")
 		$echonetCfgC.add(" */")
 		inst_list_len = $INST_LIST.length
@@ -233,7 +218,7 @@
 
 		$echonetCfgC.add("/*")
-		$echonetCfgC.add(" * ã¯ã©ã¹æ°")
-		$echonetCfgC.add(" */")
-		# ãã¼ããã­ãã¡ã¤ã«ãå«ããï¼ + 1ï¼
+		$echonetCfgC.add(" * クラス数")
+		$echonetCfgC.add(" */")
+		# ノードプロファイルも含める（ + 1）
 		class_list_len = $CLASS_LIST.length + 1
 		$echonetCfgC.add("const uint8_t _echonet_#{$cfgData[:ECN_CRE_EOBJ][enodid][:eobjid]}_class_count[] = {")
@@ -242,5 +227,5 @@
 
 		$echonetCfgC.add("/*")
-		$echonetCfgC.add(" * ã¤ã³ã¹ã¿ã³ã¹ãªã¹ã")
+		$echonetCfgC.add(" * インスタンスリスト")
 		$echonetCfgC.add(" */")
 		pos = 0
@@ -262,5 +247,5 @@
 
 		$echonetCfgC.add("/*")
-		$echonetCfgC.add(" * ã¯ã©ã¹ãªã¹ã")
+		$echonetCfgC.add(" * クラスリスト")
 		$echonetCfgC.add(" */")
 		pos = 0
@@ -296,10 +281,10 @@
 			get_map[i] = 0x00
 		end
-		# 0x9Dã0x9Eã0x9Fã¯ONã«ãã¦ãã
+		# 0x9D、0x9E、0x9FはONにしておく
 		for i in 13..15 do
 			anno_map[i] = anno_map[i] | 0x02
 			get_map[i] = get_map[i] | 0x02
 		end
-		# ãã¼ããã­ãã¡ã¤ã«ã®å ´å
+		# ノードプロファイルの場合
 		if (params[:eobjatr] & ($EOBJ_LOCAL_NODE | $EOBJ_SYNC_REMOTE_NODE | $EOBJ_ASYNC_REMOTE_NODE)) != 0
 			anno_map[5] = anno_map[5] | 0x20
@@ -313,20 +298,20 @@
 		$cfgData[:ECN_DEF_EPRP].each do |key2, params2|
 			if params2[:eobjid] == params[:eobjid].str
-				# (0x80 <= eprpcd && eprpcd <= 0xFF)ã§ãªãå ´åï¼E_PARï¼
+				# (0x80 <= eprpcd && eprpcd <= 0xFF)でない場合（E_PAR）
 				if !(0x80 <= params2[:eprpcd] && params2[:eprpcd] <= 0xFF)
 					error_illegal_sym("E_PAR", params2, :eprpcd, :eprpno)
 				end
 
-				# eprpatrãï¼ï¼»EPC_RULE_SET] | [EPC_RULE_GET] | [EPC_RULE_ANNO] | [EPC_ANNOUNCEï¼½| [EPC_VARIABLE]ï¼ã§ãªãå ´åï¼E_RSATRï¼
+				# eprpatrが（［EPC_RULE_SET] | [EPC_RULE_GET] | [EPC_RULE_ANNO] | [EPC_ANNOUNCE］| [EPC_VARIABLE]）でない場合（E_RSATR）
 				if (params2[:eprpatr] & ~($EPC_RULE_SET | $EPC_RULE_GET | $EPC_RULE_ANNO | $EPC_ANNOUNCE | $EPC_VARIABLE)) != 0
 					error_illegal_sym("E_RSATR", params2, :eprpatr, :eprpno)
 				end
 
-				# (0 <= eprpsz && eprpsz <= 255)ã§ãªãå ´åï¼E_PARï¼
+				# (0 <= eprpsz && eprpsz <= 255)でない場合（E_PAR）
 				if !(0 <= params2[:eprpsz] && params2[:eprpsz] <= 255)
 					error_illegal_sym("E_PAR", params2, :eprpsz, :eprpno)
 				end
 
-				# ãã­ããã£ãããã«è¨­å®
+				# プロパティマップに設定
 				pos = params2[:eprpcd] & 0xF
 				bit = (params2[:eprpcd] >> 4) - 8
@@ -348,6 +333,5 @@
 		end
 
-		# å¿
-é ã¢ãã¦ã³ã¹ãã­ããã£ãããããã§ãã¯
+		# 必須アナウンスプロパティがあるかチェック
 		must_anno_map = getPropertyInfo(params[:eojx1], params[:eojx2], $EPC_ANNOUNCE)
 		i = 0
@@ -359,6 +343,5 @@
 		end
 
-		# å¿
-é SETãã­ããã£ãããããã§ãã¯
+		# 必須SETプロパティがあるかチェック
 		must_set_map = getPropertyInfo(params[:eojx1], params[:eojx2], $EPC_RULE_SET)
 		i = 0
@@ -370,6 +353,5 @@
 		end
 
-		# å¿
-é GETãã­ããã£ãããããã§ãã¯
+		# 必須GETプロパティがあるかチェック
 		must_get_map = getPropertyInfo(params[:eojx1], params[:eojx2], $EPC_RULE_GET)
 		i = 0
@@ -382,5 +364,5 @@
 
 		$echonetCfgC.add("/*")
-		$echonetCfgC.add(" * ã¢ãã¦ã³ã¹ãã­ããã£ããã")
+		$echonetCfgC.add(" * アナウンスプロパティマップ")
 		$echonetCfgC.add(" */")
 		anno_list = anno_list.sort
@@ -406,5 +388,5 @@
 
 		$echonetCfgC.add("/*")
-		$echonetCfgC.add(" * SETãã­ããã£ããã")
+		$echonetCfgC.add(" * SETプロパティマップ")
 		$echonetCfgC.add(" */")
 		set_list = set_list.sort
@@ -430,5 +412,5 @@
 
 		$echonetCfgC.add("/*")
-		$echonetCfgC.add(" * GETãã­ããã£ããã")
+		$echonetCfgC.add(" * GETプロパティマップ")
 		$echonetCfgC.add(" */")
 		get_list = get_list.sort
@@ -454,30 +436,29 @@
 
 		$echonetCfgC.add("/*")
-		$echonetCfgC.add(" * ãã­ããã£å®ç¾©")
+		$echonetCfgC.add(" * プロパティ定義")
 		$echonetCfgC.add(" */")
 		$echonetCfgC.add("const EPRPINIB _echonet_#{params[:eobjid]}_eprpinib_table[TNUM_#{params[:eobjid]}_EPRPNO] = {")
 		eprp_list.each do |eprpno|
-			# ECHONET Liteãã­ããã£åæåãã­ãã¯
+			# ECHONET Liteプロパティ初期化ブロック
 			$echonetCfgC.add("	{ (#{$cfgData[:ECN_DEF_EPRP][eprpno][:eprpcd]}), (#{$cfgData[:ECN_DEF_EPRP][eprpno][:eprpatr]}), (#{$cfgData[:ECN_DEF_EPRP][eprpno][:eprpsz]}), (#{$cfgData[:ECN_DEF_EPRP][eprpno][:exinf]}), (#{$cfgData[:ECN_DEF_EPRP][eprpno][:eprpset]}), (#{$cfgData[:ECN_DEF_EPRP][eprpno][:eprpget]}) },")
 		end
-		# ç¶æ
-ã¢ãã¦ã³ã¹ãã­ããã£ããã
+		# 状態アナウンスプロパティマップ
 		$echonetCfgC.add("	{ (0x9D), (EPC_RULE_GET), #{sprintf("0x%1$x", anno_len)}, (intptr_t)_echonet_#{params[:eobjid]}_anno_prpmap, ((EPRP_SETTER *)NULL), ((EPRP_GETTER *)ecn_data_prop_get) },")
-		# Setãã­ããã£ããã
+		# Setプロパティマップ
 		$echonetCfgC.add("	{ (0x9E), (EPC_RULE_GET), #{sprintf("0x%1$x", set_len)}, (intptr_t)_echonet_#{params[:eobjid]}_set_prpmap, ((EPRP_SETTER *)NULL), ((EPRP_GETTER *)ecn_data_prop_get) },")
-		# Getãã­ããã£ããã
+		# Getプロパティマップ
 		$echonetCfgC.append("	{ (0x9F), (EPC_RULE_GET), #{sprintf("0x%1$x", get_len)}, (intptr_t)_echonet_#{params[:eobjid]}_get_prpmap, ((EPRP_SETTER *)NULL), ((EPRP_GETTER *)ecn_data_prop_get) }")
-		# ãã¼ããã­ãã¡ã¤ã«ã®å ´å
+		# ノードプロファイルの場合
 		if (params[:eobjatr] & ($EOBJ_LOCAL_NODE | $EOBJ_SYNC_REMOTE_NODE | $EOBJ_ASYNC_REMOTE_NODE)) != 0
 			$echonetCfgC.add(",")
-			# ã¤ã³ã¹ã¿ã³ã¹æ°
+			# インスタンス数
 			$echonetCfgC.add("	{ (0xD3), (EPC_RULE_GET), (3), (intptr_t)_echonet_#{params[:eobjid]}_inst_count, ((EPRP_SETTER *)NULL), ((EPRP_GETTER *)ecn_data_prop_get) },")
-			# ã¯ã©ã¹æ°
+			# クラス数
 			$echonetCfgC.add("	{ (0xD4), (EPC_RULE_GET), (2), (intptr_t)_echonet_#{params[:eobjid]}_class_count, ((EPRP_SETTER *)NULL), ((EPRP_GETTER *)ecn_data_prop_get) },")
-			# ã¤ã³ã¹ã¿ã³ã¹ãªã¹ãéç¥
+			# インスタンスリスト通知
 			$echonetCfgC.add("	{ (0xD5), (EPC_RULE_ANNO), sizeof(_echonet_#{params[:eobjid]}_inst_list), (intptr_t)_echonet_#{params[:eobjid]}_inst_list, ((EPRP_SETTER *)NULL), ((EPRP_GETTER *)ecn_data_prop_get) },")
-			# ã¤ã³ã¹ã¿ã³ã¹ãªã¹ãS
+			# インスタンスリストS
 			$echonetCfgC.add("	{ (0xD6), (EPC_RULE_GET), sizeof(_echonet_#{params[:eobjid]}_inst_list), (intptr_t)_echonet_#{params[:eobjid]}_inst_list, ((EPRP_SETTER *)NULL), ((EPRP_GETTER *)ecn_data_prop_get) },")
-			# ã¯ã©ã¹ãªã¹ãS
+			# クラスリストS
 			$echonetCfgC.add("	{ (0xD7), (EPC_RULE_GET), sizeof(_echonet_#{params[:eobjid]}_class_list), (intptr_t)_echonet_#{params[:eobjid]}_class_list, ((EPRP_SETTER *)NULL), ((EPRP_GETTER *)ecn_data_prop_get) }")
 		else
@@ -492,5 +473,5 @@
 
 # 
-#  ECHONET Liteãªãã¸ã§ã¯ã
+#  ECHONET Liteオブジェクト
 # 
 $echonetCfgC.add("/*")
@@ -499,57 +480,57 @@
 $echonetCfgC.add
 
-# ECHONET Liteãªãã¸ã§ã¯ãIDçªå·ã®æå¤§å¤
+# ECHONET LiteオブジェクトID番号の最大値
 $echonetCfgC.add("const ID _echonet_tmax_eobjid = (TMIN_EOBJID + TNUM_EOBJID - 1);")
 $echonetCfgC.add
 
-# ECHONET Liteãªãã¸ã§ã¯ãåæåãã­ãã¯ã®çæ
+# ECHONET Liteオブジェクト初期化ブロックの生成
 if $cfgData[:ECN_CRE_EOBJ].length > 0
 	$echonetCfgC.add("const EOBJINIB _echonet_eobjinib_table[TNUM_EOBJID] = {")
 	$cfgData[:ECN_CRE_EOBJ].each_with_index do |(key, params), index|
 		$echonetCfgC.add(",") if index > 0
-		# eobjatrãï¼ï¼»EOBJ_LOCAL_NODE] | [EOBJ_SYNC_REMOTE_NODE] | [EOBJ_ASYNC_REMOTE_NODE] | [EOBJ_DEVICEï¼½ï¼ã§ãªãå ´åï¼E_RSATRï¼
+		# eobjatrが（［EOBJ_LOCAL_NODE] | [EOBJ_SYNC_REMOTE_NODE] | [EOBJ_ASYNC_REMOTE_NODE] | [EOBJ_DEVICE］）でない場合（E_RSATR）
 		if (params[:eobjatr] & ~($EOBJ_LOCAL_NODE | $EOBJ_SYNC_REMOTE_NODE | $EOBJ_ASYNC_REMOTE_NODE | $EOBJ_DEVICE)) != 0
 			error_illegal_sym("E_RSATR", params, :eobjatr, :eobjid)
 		end
 
-		# ãã¼ããã­ãã¡ã¤ã«ãªãã¸ã§ã¯ãã®å ´å
+		# ノードプロファイルオブジェクトの場合
 		if (params[:eobjatr] & ($EOBJ_LOCAL_NODE | $EOBJ_SYNC_REMOTE_NODE | $EOBJ_ASYNC_REMOTE_NODE)) != 0
-			# (enodid == EOBJ_NULL)ã§ãªãå ´åï¼E_PARï¼
+			# (enodid == EOBJ_NULL)でない場合（E_PAR）
 			if params[:enodid] != "EOBJ_NULL"
 				error_illegal_sym("E_PAR", params, :enodid, :eobjid)
 			end
 
-			# (eojx1 == EOJ_X1_PROFILE)ã§ãªãå ´åï¼E_PARï¼
+			# (eojx1 == EOJ_X1_PROFILE)でない場合（E_PAR）
 			if params[:eojx1] != $EOJ_X1_PROFILE
 				error_illegal_sym("E_PAR", params, :eojx1, :eobjid)
 			end
 
-			# (eojx2 == EOJ_X2_NODE_PROFILE)ã§ãªãå ´åï¼E_PARï¼
+			# (eojx2 == EOJ_X2_NODE_PROFILE)でない場合（E_PAR）
 			if params[:eojx2] != $EOJ_X2_NODE_PROFILE
 				error_illegal_sym("E_PAR", params, :eojx2, :eobjid)
 			end
 
-			# (1 <= eojx3 && eojx3 <= 2)ã§ãªãå ´åï¼E_PARï¼
+			# (1 <= eojx3 && eojx3 <= 2)でない場合（E_PAR）
 			if !(1 <= params[:eojx3] && params[:eojx3] <= 2)
 				error_illegal_sym("E_PAR", params, :eojx3, :eobjid)
 			end
-		# æ©å¨ãªãã¸ã§ã¯ãã®å ´å
-		else
-			# (enodid != EOBJ_NULL)ã§ãªãå ´åï¼E_PARï¼
+		# 機器オブジェクトの場合
+		else
+			# (enodid != EOBJ_NULL)でない場合（E_PAR）
 			if params[:enodid] == "EOBJ_NULL"
 				error_illegal_sym("E_PAR", params, :enodid, :eobjid)
 			end
 
-			# (0 <= eojx1 && eojx1 <= 255)ã§ãªãå ´åï¼E_PARï¼
+			# (0 <= eojx1 && eojx1 <= 255)でない場合（E_PAR）
 			if !(0 <= params[:eojx1] && params[:eojx1] <= 255)
 				error_illegal_sym("E_PAR", params, :eojx1, :eobjid)
 			end
 
-			# (0 <= eojx2 && eojx2 <= 255)ã§ãªãå ´åï¼E_PARï¼
+			# (0 <= eojx2 && eojx2 <= 255)でない場合（E_PAR）
 			if !(0 <= params[:eojx2] && params[:eojx2] <= 255)
 				error_illegal_sym("E_PAR", params, :eojx2, :eobjid)
 			end
 
-			# (0 <= eojx3 && eojx3 <= 255)ã§ãªãå ´åï¼E_PARï¼
+			# (0 <= eojx3 && eojx3 <= 255)でない場合（E_PAR）
 			if !(0 <= params[:eojx3] && params[:eojx3] <= 255)
 				error_illegal_sym("E_PAR", params, :eojx3, :eobjid)
@@ -557,5 +538,5 @@
 		end
 
-		# ECHONET Liteãªãã¸ã§ã¯ãåæåãã­ãã¯
+		# ECHONET Liteオブジェクト初期化ブロック
 		$echonetCfgC.append("	{ (#{params[:eobjatr]}), (#{params[:enodid]}), (#{params[:exinf]}), (#{params[:eojx1]}), (#{params[:eojx2]}), (#{params[:eojx3]}), _echonet_#{params[:eobjid]}_eprpinib_table, TNUM_#{params[:eobjid]}_EPRPNO }")
 	end
@@ -567,9 +548,9 @@
 $echonetCfgC.add
 
-# ECHONET Liteãã¼ãç®¡çãã­ãã¯ã®æ°
+# ECHONET Liteノード管理ブロックの数
 $echonetCfgC.add2("const int _echonet_tnum_enodid = TNUM_ENODID;")
 
 # 
-#  ECHONET Liteãã¼ãç®¡çãã­ãã¯
+#  ECHONET Liteノード管理ブロック
 # 
 $echonetCfgC.add("/*")
@@ -577,6 +558,5 @@
 $echonetCfgC.add(" */")
 $echonetCfgC.add
-# ECHONET Liteãã¼ãã¨IPã¢ãã¬ã¹ã®å¯¾å¿æ
-å ±ãã­ãã¯ã®çæ
+# ECHONET LiteノードとIPアドレスの対応情報ブロックの生成
 $ENOD_LIST.each do |enodid|
 	eobjid = $cfgData[:ECN_CRE_EOBJ][enodid][:eobjid].str
@@ -588,5 +568,5 @@
 	end
 	$echonetCfgC.add("/*")
-	$echonetCfgC.add(" * ãã¼ãã«æå±ããæ©å¨ãªãã¸ã§ã¯ãã®ä¸è¦§")
+	$echonetCfgC.add(" * ノードに所属する機器オブジェクトの一覧")
 	$echonetCfgC.add(" */")
 	$echonetCfgC.add("const EOBJINIB *_echonet_#{$cfgData[:ECN_CRE_EOBJ][enodid][:eobjid]}_eobjinib_table[TNUM_#{$cfgData[:ECN_CRE_EOBJ][enodid][:eobjid]}_EOBJNO] = {")
@@ -602,5 +582,5 @@
 if $ENOD_LIST.length > 0
 	$echonetCfgC.add("/*")
-	$echonetCfgC.add(" * ECHONET Liteãã¼ãç®¡çãã­ãã¯")
+	$echonetCfgC.add(" * ECHONET Liteノード管理ブロック")
 	$echonetCfgC.add(" */")
 	$echonetCfgC.add("EOBJCB _echonet_eobjcb_table[TNUM_ENODID] = {")
@@ -616,12 +596,10 @@
 $echonetCfgC.add
 
-# ECHONET Liteãã¼ãã¨IPã¢ãã¬ã¹ã®å¯¾å¿æ
-å ±ã®æ°
+# ECHONET LiteノードとIPアドレスの対応情報の数
 $echonetCfgC.add("const int _echonet_tnum_enodadr = TNUM_ENODADR;")
 $echonetCfgC.add
 
 # 
-#  ECHONET Liteãã¼ãã¨IPã¢ãã¬ã¹ã®å¯¾å¿æ
-å ±
+#  ECHONET LiteノードとIPアドレスの対応情報
 # 
 $echonetCfgC.add("/*")
@@ -630,6 +608,5 @@
 $echonetCfgC.add
 
-# ECHONET Liteãã¼ãã¨IPã¢ãã¬ã¹ã®å¯¾å¿æ
-å ±ãã­ãã¯ã®çæ
+# ECHONET LiteノードとIPアドレスの対応情報ブロックの生成
 if $cfgData[:ECN_CRE_EOBJ].length > 0
 	$echonetCfgC.add("ENODADRB _echonet_enodadrb_table[TNUM_ENODADR] = {")
@@ -652,5 +629,5 @@
 
 #
-# ECHONET Lite ã«ã¼ãã«ãªãã¸ã§ã¯ãID
+# ECHONET Lite カーネルオブジェクトID
 #
 $echonetCfgC.add(<<EOS)
@@ -670,5 +647,5 @@
 
 #
-# ECHONET Lite TINETãªãã¸ã§ã¯ãID
+# ECHONET Lite TINETオブジェクトID
 #
 $echonetCfgC.add2("const ID _echonet_ecn_udp_cepid = ECHONET_UDP_CEPID;")
Index: azure_iot_hub/trunk/ntshell/echonet/echonet_agent.c
===================================================================
--- azure_iot_hub/trunk/ntshell/echonet/echonet_agent.c	(revision 388)
+++ azure_iot_hub/trunk/ntshell/echonet/echonet_agent.c	(revision 389)
@@ -4,47 +4,32 @@
  *  Copyright (C) 2015 Cores Co., Ltd. Japan
  * 
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  *  @(#) $Id$
@@ -52,5 +37,5 @@
 
 /*
- *		ECHONET Lite åççæãã¼ã
+ *		ECHONET Lite 動的生成ノード
  */
 
@@ -194,7 +179,7 @@
 
 /*
- *  ã­ã¥ã¼ã®åæå
+ *  キューの初期化
  *
- *  p_queueã«ã¯ã­ã¥ã¼ããããæå®ããï¼
+ *  p_queueにはキューヘッダを指定する．
  */
 Inline void
@@ -209,11 +194,8 @@
 
 /*
- *  ã­ã¥ã¼ã®åã¨ã³ããªã¸ã®æ¿å
-¥
+ *  キューの前エントリへの挿入
  *
- *  p_queueã®åã«p_entryãæ¿å
-¥ããï¼p_queueã«ã­ã¥ã¼ããããæå®ããå ´
- *  åã«ã¯ï¼ã­ã¥ã¼ã®æ«å°¾ã«p_entryãæ¿å
-¥ãããã¨ã«ãªãï¼
+ *  p_queueの前にp_entryを挿入する．p_queueにキューヘッダを指定した場
+ *  合には，キューの末尾にp_entryを挿入することになる．
  */
 Inline void
@@ -231,7 +213,7 @@
 
 /*
- *  ã¨ã³ããªã®åé¤
+ *  エントリの削除
  *
- *  p_entryãã­ã¥ã¼ããåé¤ããï¼
+ *  p_entryをキューから削除する．
  */
 Inline void
@@ -346,5 +328,5 @@
 	int i = eobjid;
 
-	/* ãªãã¸ã§ã¯ãIDããå®ä½ãåå¾ */
+	/* オブジェクトIDから実体を取得 */
 	i -= (tmax_eobjid + 1);
 	if ((i < 0)
@@ -357,8 +339,8 @@
 		return false;
 
-	/* ãªãã¸ã§ã¯ãã®EOJãã³ãã¼ */
+	/* オブジェクトのEOJをコピー */
 	memcpy(eoj, &buf->obj.inib.eojx1, sizeof(*eoj));
 
-	/* æå±ãããã¼ãã®ãªãã¸ã§ã¯ãIDãåå¾ */
+	/* 所属するノードのオブジェクトIDを取得 */
 	if(buf->obj.inib.enodid == 0)
 		i = buf->obj.eobjId;
@@ -372,5 +354,5 @@
 	}
 
-	/* ãã¼ãIDãåå¾ */
+	/* ノードIDを取得 */
 	buf = &agent->blockes[i];
 	*enodid = buf->node.enodId;
@@ -413,5 +395,5 @@
 	T_ECN_EOJ *eoj, *end;
 
-	// ãã­ããã£éç¥ãåå¾å¿ç­ã§ã
+	// プロパティ通知か取得応答で、
 	switch (esv->hdr.edata.esv) {
 	case ESV_GET_RES:
@@ -423,5 +405,5 @@
 	}
 
-	// ãã¼ããã­ãã¡ã¤ã«å®ã®å ´å
+	// ノードプロファイル宛の場合
 	eoj = &esv->hdr.edata.seoj;
 	if ((eoj->eojx1 != EOJ_X1_PROFILE) || (eoj->eojx2 != EOJ_X2_NODE_PROFILE)
@@ -436,9 +418,9 @@
 	while (ecn_itr_nxt(&enm, &epc, &pdc, &edt) == E_OK) {
 		switch (epc) {
-		// ã¤ã³ã¹ã¿ã³ã¹ãªã¹ãéç¥ã®å ´å
+		// インスタンスリスト通知の場合
 		case 0xD5:
-		// èªãã¼ãã¤ã³ã¹ã¿ã³ã¹ãªã¹ãï¼³éç¥ã®å ´å
+		// 自ノードインスタンスリストＳ通知の場合
 		case 0xD6:
-			// ãµã¤ãºãåããªãå ´å
+			// サイズが合わない場合
 			if (pdc != (1 + edt[0] * sizeof(T_ECN_EOJ)))
 				return NULL;
@@ -736,8 +718,7 @@
 	ecn_obj_t *sobj;
 
-	/* éçã«å®ç¾©ãããéä¿¡å
-ã®å ´å */
+	/* 静的に定義された送信元の場合 */
 	if ((*ppk_snod != NULL) && (*ppk_snod)->eobjs != NULL) {
-		/* å¦çããªã */
+		/* 処理しない */
 		return;
 	}
@@ -745,10 +726,7 @@
 	snod = ecn_agent_find_node2(*ppk_snod);
 
-	/* éä¿¡å
-ãç¥ããªãã£ãã */
+	/* 送信元を知らなかったら */
 	if (snod == NULL) {
-		/* éä¿¡å
-ã®ãã¼ãæ
-å ±ãæ°è¦ã«ä½æ */
+		/* 送信元のノード情報を新規に作成 */
 		snod = ecn_agent_create_node(agent, esv);
 		if (snod == NULL)
@@ -758,10 +736,10 @@
 	sobj = ecn_agent_find_obj2(snod, *ppk_sobj);
 
-	/* ãã¼ããã­ãã¡ã¤ã«ã®å ´å */
+	/* ノードプロファイルの場合 */
 	if ((esv->hdr.edata.seoj.eojx1 == EOJ_X1_PROFILE)
 		&& (esv->hdr.edata.seoj.eojx2 == EOJ_X2_NODE_PROFILE)) {
 		sobj = &snod->base;
 	}
-	/* æ©å¨ãªãã¸ã§ã¯ãã®å ´å */
+	/* 機器オブジェクトの場合 */
 	else {
 		sobj = ecn_agent_find_eobj(&snod->eobj, esv->hdr.edata.seoj);
@@ -808,5 +786,5 @@
 	ecn_obj_t *obj = node->current;
 
-	// ãã­ããã£å¤èª­ã¿åºãè¦æ±
+	// プロパティ値読み出し要求
 	ecn_esv_get(&esv, obj->eobjId, 0x9E);
 	ecn_snd_esv(esv);
@@ -821,5 +799,5 @@
 	ecn_obj_t *obj = node->current;
 
-	// ãã­ããã£å¤èª­ã¿åºãè¦æ±
+	// プロパティ値読み出し要求
 	ecn_esv_get(&esv, obj->eobjId, 0x9F);
 	ecn_snd_esv(esv);
@@ -834,5 +812,5 @@
 	ecn_obj_t *obj = node->current;
 
-	// ãã­ããã£å¤èª­ã¿åºãè¦æ±
+	// プロパティ値読み出し要求
 	ecn_esv_get(&esv, obj->eobjId, 0x9D);
 	ecn_snd_esv(esv);
@@ -848,22 +826,21 @@
 	ecn_device_t *device;
 
-	/* objãæå®ããã¦ããªãå ´å */
+	/* objが指定されていない場合 */
 	if(obj == NULL){
-		/* ãã®ãã¼ããè¿ã */
+		/* このノードを返す */
 		node->current = &node->base;
 		return;
 	}
-	/* ãã¼ãã®å ´å */
+	/* ノードの場合 */
 	else if((obj->inib.eojx1 == EOJ_X1_PROFILE) && (obj->inib.eojx2 == EOJ_X2_NODE_PROFILE)){
 		node = (ecn_node_t *)obj;
 
-		/* é
-ä¸ã®æ©å¨ãè¿ã */
+		/* 配下の機器を返す */
 		queue = node->devices.p_next;
 		device = (ecn_device_t *)cast_obj(queue);
 	}
-	/* æ©å¨ã®å ´å */
+	/* 機器の場合 */
 	else{
-		/* æ¬¡ã®æ©å¨ãè¿ã */
+		/* 次の機器を返す */
 		node = ((ecn_device_t *)obj)->node;
 		queue = cast_queue(obj)->p_next;
@@ -871,5 +848,5 @@
 	}
 
-	/* ãã®æ©å¨ãæ«å°¾ã ã£ãå ´å */
+	/* その機器が末尾だった場合 */
 	if(&node->devices == queue){
 		node->current = NULL;
@@ -1000,6 +977,5 @@
 	bool_t has = false;
 
-	/* ãã¼ãã®å ´åã¯ã¤ã³ã¹ã¿ã³ã¹ãªã¹ãéç¥ã¨èªãã¼ãã¤ã³ã¹ã¿ã³ã¹ãªã¹ãï¼³éç¥ãå¿
-é ã§åãåã */
+	/* ノードの場合はインスタンスリスト通知と自ノードインスタンスリストＳ通知を必須で受け取る */
 	if ((fp_obj->enodid == 0) && ((fa_epc == 0xD5) || (fa_epc == 0xD6)))
 		has = true;
@@ -1035,7 +1011,7 @@
 
 	switch (item->eprpcd) {
-	/* ã¤ã³ã¹ã¿ã³ã¹ãªã¹ãéç¥ã®å ´å */
+	/* インスタンスリスト通知の場合 */
 	case 0xD5:
-	/* èªãã¼ãã¤ã³ã¹ã¿ã³ã¹ãªã¹ãï¼³éç¥ã®å ´å */
+	/* 自ノードインスタンスリストＳ通知の場合 */
 	case 0xD6:
 		if ((node != NULL) && (node->state == ecn_node_state_idle)) {
@@ -1055,10 +1031,10 @@
 		}
 		break;
-	/* éç¥ãã­ããã£ãããã®å ´å */
+	/* 通知プロパティマップの場合 */
 	case 0x9D:
 		eprpcnt = edt[0];
 
 		if (eprpcnt < 16) {
-			/* ãµã¤ãºãã§ãã¯ */
+			/* サイズチェック */
 			if (eprpcnt + 1 != size)
 				return 0;
@@ -1068,5 +1044,5 @@
 		}
 		else {
-			/* ãµã¤ãºãã§ãã¯ */
+			/* サイズチェック */
 			if (size != 17)
 				return 0;
@@ -1077,10 +1053,10 @@
 		sobj->pmapFlag |= PMAP_FLAG_ANNO;
 		break;
-	/* SETãã­ããã£ãããã®å ´å */
+	/* SETプロパティマップの場合 */
 	case 0x9E:
 		eprpcnt = edt[0];
 
 		if (eprpcnt < 16) {
-			/* ãµã¤ãºãã§ãã¯ */
+			/* サイズチェック */
 			if (eprpcnt + 1 != size)
 				return 0;
@@ -1090,5 +1066,5 @@
 		}
 		else {
-			/* ãµã¤ãºãã§ãã¯ */
+			/* サイズチェック */
 			if (size != 17)
 				return 0;
@@ -1099,10 +1075,10 @@
 		sobj->pmapFlag |= PMAP_FLAG_SET;
 		break;
-	/* GETãã­ããã£ãããã®å ´å */
+	/* GETプロパティマップの場合 */
 	case 0x9F:
 		eprpcnt = edt[0];
 
 		if (eprpcnt < 16) {
-			/* ãµã¤ãºãã§ãã¯ */
+			/* サイズチェック */
 			if (eprpcnt + 1 != size)
 				return 0;
@@ -1112,5 +1088,5 @@
 		}
 		else {
-			/* ãµã¤ãºãã§ãã¯ */
+			/* サイズチェック */
 			if (size != 17)
 				return 0;
Index: azure_iot_hub/trunk/ntshell/echonet/echonet_agent.h
===================================================================
--- azure_iot_hub/trunk/ntshell/echonet/echonet_agent.h	(revision 388)
+++ azure_iot_hub/trunk/ntshell/echonet/echonet_agent.h	(revision 389)
@@ -4,47 +4,32 @@
  *  Copyright (C) 2015 Cores Co., Ltd. Japan
  * 
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  *  @(#) $Id$
@@ -52,5 +37,5 @@
 
 /*
- *		ECHONET Lite åççæãã¼ã
+ *		ECHONET Lite 動的生成ノード
  */
 
@@ -67,12 +52,12 @@
 
 /*
- *  ã­ã¥ã¼ã®ãã¼ã¿æ§é ã®å®ç¾©
+ *  キューのデータ構造の定義
  */
 typedef struct ecn_agent_queue {
 #ifdef _DEBUG
-	struct ecn_agent_queue *p_parent;	/* è¦ªã­ã¥ã¼ã¸ã®ãã¤ã³ã¿ */
+	struct ecn_agent_queue *p_parent;	/* 親キューへのポインタ */
 #endif
-	struct ecn_agent_queue *p_next;		/* æ¬¡ã¨ã³ããªã¸ã®ãã¤ã³ã¿ */
-	struct ecn_agent_queue *p_prev;		/* åã¨ã³ããªã¸ã®ãã¤ã³ã¿ */
+	struct ecn_agent_queue *p_next;		/* 次エントリへのポインタ */
+	struct ecn_agent_queue *p_prev;		/* 前エントリへのポインタ */
 } ecn_agent_queue_t;
 
@@ -86,9 +71,8 @@
 	EOBJINIB inib;
 	uint8_t pmapFlag;
-	uint8_t pmapSet[16];		/* SETãã­ããã£ããã */
-	uint8_t pmapGet[16];		/* GETãã­ããã£ããã */
-	uint8_t pmapAnno[16];		/* ç¶æ
-å¤åæéç¥ãã­ããã£ããã */
-	uint_t eprpcnt;				/* ECHONET Lite ãã­ããã£æ° */
+	uint8_t pmapSet[16];		/* SETプロパティマップ */
+	uint8_t pmapGet[16];		/* GETプロパティマップ */
+	uint8_t pmapAnno[16];		/* 状態変化時通知プロパティマップ */
+	uint_t eprpcnt;				/* ECHONET Lite プロパティ数 */
 } ecn_obj_t;
 
@@ -126,10 +110,10 @@
 typedef struct ecn_inm_get_device_item
 {
-	ID			eobjid;			/* ECHONET Lite ãªãã¸ã§ã¯ãID */
-	ID			enodid;			/* ECHONET Lite ãã¼ããã­ãã¡ã¤ã«ãªãã¸ã§ã¯ãID */
-	uint8_t		eojx1;			/* ECHONET Lite ãªãã¸ã§ã¯ãã®ã¯ã©ã¹ã°ã«ã¼ãã³ã¼ã */
-	uint8_t		eojx2;			/* ECHONET Lite ãªãã¸ã§ã¯ãã®ã¯ã©ã¹ã³ã¼ã */
-	uint8_t		eojx3;			/* ECHONET Lite ãªãã¸ã§ã¯ãã®ã¤ã³ã¹ã¿ã³ã¹ã³ã¼ã */
-	ECN_ENOD_ID	addrid;			/* IPã¢ãã¬ã¹åå¾ç¨ID */
+	ID			eobjid;			/* ECHONET Lite オブジェクトID */
+	ID			enodid;			/* ECHONET Lite ノードプロファイルオブジェクトID */
+	uint8_t		eojx1;			/* ECHONET Lite オブジェクトのクラスグループコード */
+	uint8_t		eojx2;			/* ECHONET Lite オブジェクトのクラスコード */
+	uint8_t		eojx3;			/* ECHONET Lite オブジェクトのインスタンスコード */
+	ECN_ENOD_ID	addrid;			/* IPアドレス取得用ID */
 } ecn_inm_get_device_item_t;
 
@@ -156,30 +140,29 @@
 } ecn_inm_get_device_info_res_t;
 
-/* åæå */
+/* 初期化 */
 void ecn_agent_init(void);
-/* ãã¼ããæ¤ç´¢ */
+/* ノードを検索 */
 ecn_node_t *ecn_agent_find_node(ECN_ENOD_ID enodid);
-/* æ©å¨ãæ¤ç´¢ */
+/* 機器を検索 */
 ecn_obj_t *ecn_agent_find_eobj(const EOBJCB *pk_nod, T_ECN_EOJ eoj);
-/* ãªãã¸ã§ã¯ãIDãåå¾ */
+/* オブジェクトIDを取得 */
 ID ecn_agent_get_eobj(const EOBJINIB *pk_obj);
-/* æ¬¡ã®æ©å¨ãåå¾ */
+/* 次の機器を取得 */
 const EOBJINIB *ecn_agent_next_eobj(const EOBJCB *pk_nod, const EOBJINIB *pk_obj);
-/* ãªãã¸ã§ã¯ãIDããEOJã¨ãã¼ãIDãåå¾ */
+/* オブジェクトIDからEOJとノードIDを取得 */
 bool_t ecn_agent_get_eoj_enodid(ID eobjid, T_ECN_EOJ *eoj, ECN_ENOD_ID *enodid);
-/* ã¿ã¤ã ã¢ã¦ãå¤ãè¿ã */
+/* タイムアウト値を返す */
 int ecn_agent_get_timer();
-/* ã¿ã¤ãã¼ã®æéãé²ãã */
+/* タイマーの時間を進める */
 void ecn_agent_progress(int interval);
-/* ã¿ã¤ã ã¢ã¦ãå¦çï¼ã®ããã®å¼ã³åºãï¼ */
+/* タイムアウト処理（のための呼び出し） */
 void ecn_agent_timeout();
-/* å
-é¨ã¡ãã»ã¼ã¸å¦ç */
+/* 内部メッセージ処理 */
 bool_t ecn_agent_proc_int_msg(ECN_FBS_ID fbs, uint8_t cmd);
-/* ECHONETé»æåä¿¡å¦ç */
+/* ECHONET電文受信処理 */
 void ecn_agent_proc_ecn_msg(const EOBJCB **snod, const EOBJINIB **sobj, T_EDATA *esv);
-/* ECHONETé»æåä¿¡å¦ççµäº */
+/* ECHONET電文受信処理終了 */
 void ecn_agent_proc_ecn_msg_end();
-/* ãã­ããã£ãåå¾ */
+/* プロパティを取得 */
 const EPRPINIB *ecn_agent_get_property(const EOBJINIB *fp_obj, uint8_t fa_epc, const EPRPINIB *item);
 
